<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="array-binding">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Array binding</h2>
    <section>
      <article>
        <label>Elementos del arreglo</label>
        <p><strong>Elemento1: </strong> [[arrayItem(0)]]</p>
        <p><strong>Elemento1: </strong> [[arrayItem(1)]]</p>
        <p><strong>Elemento1: </strong> [[arrayItem(2)]]</p>
      </article>
    </section>
  </template>

  <script>
    /**
     * `array-binding`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class ArrayBinding extends Polymer.Element {
      static get is() { return 'array-binding'; }
      static get properties() {
        return {
          phone: {
            type: Object,
            value: {
              mobile: "111-111-111",
              work: "222-222-222"
            }
          },
          friends: {
            type: Array,
            value: [
              {name: "Mireia"},
              {name: "Lucy"},
              {name: "Edu"}
            ]
          }
        };
      }

      arrayItem(index){
        console.log(index);
        return this.get("friends."+ index+".name");
      }
    }

    window.customElements.define(ArrayBinding.is, ArrayBinding);
  </script>
</dom-module>
